Bug 184429 - GCC ICE with -ftree-vectorize, -O2, and -march=pentium4
GCC ICE with -ftree-vectorize, -O2, and -march=pentium4
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-08 13:20 EST by Jerry James
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.1.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-14 07:12:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source demonstrating the compiler bug (700.83 KB, text/plain)
2006-03-08 13:20 EST, Jerry James
no flags Details

  None (edit)
Description Jerry James 2006-03-08 13:20:58 EST
Description of problem:
Internal compiler error with -ftree-vectorize

Version-Release number of selected component (if applicable):
gcc-4.0.2-8.fc4

How reproducible:
Every time

Steps to Reproduce:
1. Compiler buffer.c from XEmacs 21.5 CVS with CFLAGS="-ftree-vectorize -O2
-march=pentium4"
2. The compiler reports an internal compiler error
  
Actual results:
The compiler reports an internal compiler error

Expected results:
The compiler should produce an object file

Additional info:
The ICE occurs with both -march=pentium4 and -march=prescott.  It does not
happen with -march=pentium3.  It does not happen with -O1.  It does not happen
if -free-vectorize is omitted.
Comment 1 Jerry James 2006-03-08 13:20:58 EST
Created attachment 125823 [details]
Preprocessed source demonstrating the compiler bug
Comment 2 Jakub Jelinek 2006-03-14 07:12:50 EST
-ftree-vectorize in GCC 4 is very new and not in a very good shape, use GCC 4.1+
if you need it, or omit -ftree-vectorize.
I have verified that FC5 gcc-4.1.0-3 doesn't ICE on this.

Note You need to log in before you can comment on or make changes to this bug.